#spring.datasource.url=jdbc:postgresql://127.0.0.1:5432/sonar7.7
##spring.datasource.url=jdbc:postgresql://117.50.14.123:5432/sonar
#spring.datasource.username=root
#spring.datasource.password=root
#spring.datasource.driver-class-name=org.postgresql.Driver

spring.datasource.initSize=20
#spring.datasource.master.url=jdbc:postgresql://127.0.0.1:5432/sonar7.7
spring.datasource.master.url=jdbc:postgresql://121.40.224.66:45432/sonar
spring.datasource.master.username=postgres
spring.datasource.master.password=Edu_postgresql
spring.datasource.master.driverClassName=org.postgresql.Driver


#### test ######
spring.datasource.readonly.driverClassName=com.mysql.jdbc.Driver
spring.datasource.readonly.url=jdbc:mysql://rm-bp13v5020p7828r5rso.mysql.rds.aliyuncs.com:3306/preeducoderweb?userSSL=false&useUnicode=true&characterEncoding=utf8&autoReconnect=true&failOverReadOnly=false
spring.datasource.readonly.username=testeducoder
spring.datasource.readonly.password=TEST@123

#### prod ######
#spring.datasource.readonly.driverClassName=com.mysql.jdbc.Driver
#spring.datasource.readonly.url=jdbc:mysql://rm-bp1ht3504joktie83.mysql.rds.aliyuncs.com:3306/educoderweb?useUnicode=true&characterEncoding=utf8&autoReconnect=true&failOverReadOnly=false
#spring.datasource.readonly.username=readonly
#spring.datasource.readonly.password=readonly_20210901

# Hikari will use the above plus the following to setup connection pooling
#spring.datasource.type=com.zaxxer.hikari.HikariDataSource
#spring.datasource.hikari.minimum-idle=5
#spring.datasource.hikari.maximum-pool-size=15
#spring.datasource.hikari.auto-commit=true
#spring.datasource.hikari.idle-timeout=30000
#spring.datasource.hikari.pool-name=DatebookHikariCP
#spring.datasource.hikari.max-lifetime=1800000
#spring.datasource.hikari.connection-timeout=30000
#spring.datasource.hikari.connection-test-query=SELECT 1


logging.config=classpath:logback-spring.xml
logging.level.root=INFO

zip.save.path=/tmp/
#excel.template.path=/Users/guange/work/java/ecsonar/src/main/resources/template.xlsx
excel.template.path=template.xlsx

#sonar.url=http://127.0.0.1:9000
sonar.url=http://121.40.224.66:49000
# token
sonar.token=0253a518e824a976ea2f11aec17938cb0f8c0495

extract.path=/usr/local/bin/unar
#extract.path=/usr/bin/unar

last.run.id=0

skip.checked=true


server.port=8081
mybatis.mapper-locations=classpath:mapper/*

sonar.host=http://localhost:9000
